# DSP Tracker Uploader

This project will pull data from inside Dyson Sphere Program in real time,
and upload it to https://dsptracker.flame.org, for processing and display.

Currently, no user interaction is required after the initial mod installation
and configuration is completed.

To use this mod, you must create an account on https://dsptracker.flame.org, and
retrieve your upload token.  This token must be placed into the mod's configuration.

As is common for many mods, you need to:

1.  Install [BepInEx](https://dsp.thunderstore.io/package/xiaoye97/BepInEx/).
2.  Install this mod.
3.  Run the game once to create the mod's configuration file.
4.  Exit the game.
5.  Edit the configuraton to add your token.
6.  Run the game, and you should start seeing data uploaded to the web site.

This mod should not affect game play, specifically memory or FPS, as it does very
little in the game thread.  All uploads are performed in a thread just for that
purpose, which while waiting on network traffic, does very little computation.
